QImageDrag(3qt)

NAME
QImageDrag - Drag and drop object for transferring images

SYNOPSIS
#include <qdragobject.h>

Inherits QDragObject.

  Public Members
QImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )
QImageDrag ( QWidget * dragSource = 0, const char * name = 0 )
~QImageDrag ()
virtual void setImage ( QImage image )

  Static Public Members
bool canDecode ( const QMimeSource * e )
bool decode ( const QMimeSource * e, QImage & img )
bool decode ( const QMimeSource * e, QPixmap & pm )

DESCRIPTION
The QImageDrag class provides a drag and drop object for transferring images.

Images are offered to the receiving application in multiple formats, determined by Qt's output formats.

For more information about drag and drop, see the QDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

MEMBER FUNCTION DOCUMENTATION

QImageDrag::QImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )
Constructs an image drag object and sets its data to image. dragSource must be the drag source; name is the object name.

QImageDrag::QImageDrag ( QWidget * dragSource = 0, const char * name = 0 )
Constructs a default image drag object. dragSource must be the drag source; name is the object name.

QImageDrag::~QImageDrag ()
Destroys the image drag object and frees up all allocated resources.

bool QImageDrag::canDecode ( const QMimeSource * e ) [static]
Returns TRUE if the information in mime source e can be decoded into an image; otherwise returns FALSE.

See also decode().

Example: desktop/desktop.cpp.

bool QImageDrag::decode ( const QMimeSource * e, QImage & img ) [static]
Attempts to decode the dropped information in mime source e into img. Returns TRUE if successful; otherwise returns FALSE.

See also canDecode().

Example: desktop/desktop.cpp.

bool QImageDrag::decode ( const QMimeSource * e, QPixmap & pm ) [static]
This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Attempts to decode the dropped information in mime source e into pixmap pm. Returns TRUE if successful; otherwise returns FALSE.

This is a convenience function that converts to a QPixmap via a QImage.

See also canDecode().

void QImageDrag::setImage ( QImage image ) [virtual]
Sets the image to be dragged to image. You will need to call this if you did not pass the image during construction.

SEE ALSO
http://doc.trolltech.com/qimagedrag.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qimagedrag.3) and the Qt version (3.3.4).